---
document: modulemd
version: 2
data:
  name: perl-IO-Socket-SSL
  stream: "2.066"
  version: 8060020220422081814
  context: fbe42456
  arch: x86_64
  summary: Perl library for transparent TLS
  description: >
    IO::Socket::SSL is a drop-in replacement for IO::Socket::IP that uses TLS to encrypt
    data before it is transferred to a remote server or client. IO::Socket::SSL supports
    all the extra features that one needs to write a full-featured TLS client or server
    application like multiple TLS contexts, cipher selection, certificate verification,
    and TLS version selection. Net::SSLeay offers some high level convenience functions
    for accessing web pages on TLS servers, a sslcat() function for writing your own
    clients, and finally access to the API of OpenSSL library so you can write servers
    or clients for more complicated applications.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8]
    requires:
      perl: [5.26]
      platform: [el8]
  references:
    community: https://metacpan.org/release/IO-Socket-SSL
  profiles:
    common:
      description: IO::Socket::SSL and Net::SSLeay
      rpms:
      - perl-IO-Socket-SSL
      - perl-Net-SSLeay
  api:
    rpms:
    - perl-IO-Socket-SSL
    - perl-Net-SSLeay
  filter:
    rpms:
    - perl-Devel-StackTrace
    - perl-IO-Socket-INET6
    - perl-IO-Tty
    - perl-IPC-Run
    - perl-Net-IDN-Encode
    - perl-Net-LibIDN
    - perl-Socket6
    - perl-Test-NoWarnings
  components:
    rpms:
      perl-Devel-StackTrace:
        rationale: A build dependency.
        ref: 51b074920695347de4c835b9882310faee590742
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-IO-Socket-INET6:
        rationale: A build dependency.
        ref: d632bbafdf2e0e6c4b1a3176a41d422871f8b5b7
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-IO-Socket-SSL:
        rationale: The API.
        ref: 35759b3fe92d0c2268bf5086b57304b868bae9ba
        buildorder: 3
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-IO-Tty:
        rationale: A build dependency.
        ref: 015f991e2357227423025dd0352f2f8ee6bfc3f7
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-IPC-Run:
        rationale: A build dependency.
        ref: ba0de773bd6487f50d2e6fded110f4608d98af3c
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Net-IDN-Encode:
        rationale: A build dependency.
        ref: dc222af44b6c9be8db4b6c266ca4d02efc64b040
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Net-LibIDN:
        rationale: A build dependency.
        ref: c83acffd7d9f9418bf59ec87f083fd5e625a7dfa
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Net-SSLeay:
        rationale: The API.
        ref: bfe100867b7acc18126f60eb23464cceaca76355
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Socket6:
        rationale: A build dependency.
        ref: aa4238120e5c32bf3125d180ddbe1ac0820ad049
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-NoWarnings:
        rationale: A build dependency.
        ref: a4ec342502b31cc1d77029580b8648b5cd6550e6
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - perl-IO-Socket-SSL-0:2.066-4.module_el8.6.0+2811+fe6c84b0.noarch
    - perl-IO-Socket-SSL-0:2.066-4.module_el8.6.0+2811+fe6c84b0.src
    - perl-Net-SSLeay-0:1.88-2.module_el8.6.0+2811+fe6c84b0.src
    - perl-Net-SSLeay-0:1.88-2.module_el8.6.0+2811+fe6c84b0.x86_64
    - perl-Net-SSLeay-debuginfo-0:1.88-2.module_el8.6.0+2811+fe6c84b0.x86_64
    - perl-Net-SSLeay-debugsource-0:1.88-2.module_el8.6.0+2811+fe6c84b0.x86_64
...
